Subject: Re: Xwindows/XFree86 in HardHat?

From: Ralf Baechle <[email-masked]>
Date: Sat, 2 Dec 2000 01:50:41 +0100

On Fri, Dec 01, 2000 at 02:54:19PM +0800, Calvine Chew wrote:

> Does HardHat include some form of Xwindows?

Yes; it's X clients plus the virtual servers Xvfb and Xnest.

> There are some xwindows files in the distribution, but I can't fire up
> xwindows (some files seem to be missing). I did notice that HardHat
> included only one XF86 server (XF68_FBDev) but if I used that, startx
> reports a X11TransSocketUNIXConnect errno 146.

The framebuffer server is only used for certain simple framebuffer hardware.
Which the Indy doesn't have.

> Do I need to install the latest XFree86 distribution (4.0.1), or is there
> some other things I can fiddle with in the config files?

Checkout the archives of this list at
http://oss.sgi.com/projects/linux-mips/archive/, there should be a pointer
to the necessary patches for XFree 4.

  Ralf